Makefile.in 11 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368
  1. # Makefile.in generated by automake 1.7 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. srcdir = @srcdir@
  14. top_srcdir = @top_srcdir@
  15. VPATH = @srcdir@
  16. pkgdatadir = $(datadir)/@PACKAGE@
  17. pkgincludedir = $(includedir)/@PACKAGE@
  18. top_builddir = .
  19. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  20. INSTALL = @INSTALL@
  21. install_sh_DATA = $(install_sh) -c -m 644
  22. install_sh_PROGRAM = $(install_sh) -c
  23. install_sh_SCRIPT = $(install_sh) -c
  24. INSTALL_HEADER = $(INSTALL_DATA)
  25. transform = $(program_transform_name)
  26. NORMAL_INSTALL = :
  27. PRE_INSTALL = :
  28. POST_INSTALL = :
  29. NORMAL_UNINSTALL = :
  30. PRE_UNINSTALL = :
  31. POST_UNINSTALL = :
  32. #---------------------------------------------------------------
  33. # Define an installation directory that includes
  34. # the version number (from AC_INIT) like "addressDialog1.0"
  35. #---------------------------------------------------------------
  36. pkglibdir = $(libdir)/$(PACKAGE)$(PACKAGE_VERSION)
  37. ACLOCAL = @ACLOCAL@
  38. AMTAR = @AMTAR@
  39. AUTOCONF = @AUTOCONF@
  40. AUTOHEADER = @AUTOHEADER@
  41. AUTOMAKE = @AUTOMAKE@
  42. AWK = @AWK@
  43. CYGPATH_W = @CYGPATH_W@
  44. DEFS = @DEFS@
  45. ECHO_C = @ECHO_C@
  46. ECHO_N = @ECHO_N@
  47. ECHO_T = @ECHO_T@
  48. INSTALL_DATA = @INSTALL_DATA@
  49. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  50. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  51. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  52. LIBS = @LIBS@
  53. LTLIBOBJS = @LTLIBOBJS@
  54. MAKEINFO = @MAKEINFO@
  55. PACKAGE = @PACKAGE@
  56. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  57. PACKAGE_NAME = @PACKAGE_NAME@
  58. PACKAGE_STRING = @PACKAGE_STRING@
  59. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  60. PACKAGE_VERSION = @PACKAGE_VERSION@
  61. PATH_SEPARATOR = @PATH_SEPARATOR@
  62. SET_MAKE = @SET_MAKE@
  63. SHELL = @SHELL@
  64. STRIP = @STRIP@
  65. VERSION = @VERSION@
  66. ac_ct_STRIP = @ac_ct_STRIP@
  67. bindir = @bindir@
  68. build_alias = @build_alias@
  69. datadir = @datadir@
  70. exec_prefix = @exec_prefix@
  71. host_alias = @host_alias@
  72. includedir = @includedir@
  73. infodir = @infodir@
  74. install_sh = @install_sh@
  75. libdir = @libdir@
  76. libexecdir = @libexecdir@
  77. localstatedir = @localstatedir@
  78. mandir = @mandir@
  79. oldincludedir = @oldincludedir@
  80. prefix = @prefix@
  81. program_transform_name = @program_transform_name@
  82. sbindir = @sbindir@
  83. sharedstatedir = @sharedstatedir@
  84. sysconfdir = @sysconfdir@
  85. target_alias = @target_alias@
  86. #----------------------------------------------------------------
  87. #
  88. # Makefile.am
  89. #
  90. # This file, along with aclocal, configure.ac autoconf,
  91. # and automake can produce a highly functional configuration
  92. # script and Makefile.
  93. #
  94. # Copyright 2003 (C) Mayo Foundation. All Rights Reserved
  95. #
  96. #----------------------------------------------------------------
  97. AUTOMAKE_OPTIONS = foreign subdir-objects
  98. #---------------------------------------------------------------
  99. # tcl/tk scripts that may need to be installed.
  100. #---------------------------------------------------------------
  101. pkglib_SCRIPTS = \
  102. addressDialog.tcl \
  103. pkgIndex.tcl
  104. subdir = .
  105. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  106. mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
  107. CONFIG_CLEAN_FILES =
  108. SCRIPTS = $(pkglib_SCRIPTS)
  109. DIST_SOURCES =
  110. DIST_COMMON = ../install-sh ../missing ../mkinstalldirs Makefile.am \
  111. Makefile.in aclocal.m4 configure configure.ac
  112. all: all-am
  113. .SUFFIXES:
  114. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  115. configure.lineno
  116. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  117. cd $(top_srcdir) && \
  118. $(AUTOMAKE) --foreign Makefile
  119. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  120. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  121. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  122. $(SHELL) ./config.status --recheck
  123. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  124. cd $(srcdir) && $(AUTOCONF)
  125. $(ACLOCAL_M4): configure.ac
  126. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  127. pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
  128. install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
  129. @$(NORMAL_INSTALL)
  130. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  131. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  132. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  133. if test -f $$d$$p; then \
  134. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  135. echo " $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  136. $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  137. else :; fi; \
  138. done
  139. uninstall-pkglibSCRIPTS:
  140. @$(NORMAL_UNINSTALL)
  141. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  142. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  143. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  144. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  145. done
  146. uninstall-info-am:
  147. tags: TAGS
  148. TAGS:
  149. ctags: CTAGS
  150. CTAGS:
  151. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  152. top_distdir = .
  153. distdir = $(PACKAGE)-$(VERSION)
  154. am__remove_distdir = \
  155. { test ! -d $(distdir) \
  156. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  157. && rm -fr $(distdir); }; }
  158. GZIP_ENV = --best
  159. distuninstallcheck_listfiles = find . -type f -print
  160. distcleancheck_listfiles = find . -type f -print
  161. distdir: $(DISTFILES)
  162. $(am__remove_distdir)
  163. mkdir $(distdir)
  164. $(mkinstalldirs) $(distdir)/..
  165. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  166. list='$(DISTFILES)'; for file in $$list; do \
  167. case $$file in \
  168. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  169. esac; \
  170. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  171. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  172. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  173. dir="/$$dir"; \
  174. $(mkinstalldirs) "$(distdir)$$dir"; \
  175. else \
  176. dir=''; \
  177. fi; \
  178. if test -d $$d/$$file; then \
  179. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  180. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  181. fi; \
  182. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  183. else \
  184. test -f $(distdir)/$$file \
  185. || cp -p $$d/$$file $(distdir)/$$file \
  186. || exit 1; \
  187. fi; \
  188. done
  189. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  190. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  191. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  192. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  193. || chmod -R a+r $(distdir)
  194. dist-gzip: distdir
  195. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  196. $(am__remove_distdir)
  197. dist dist-all: distdir
  198. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  199. $(am__remove_distdir)
  200. # This target untars the dist file and tries a VPATH configuration. Then
  201. # it guarantees that the distribution is self-contained by making another
  202. # tarfile.
  203. distcheck: dist
  204. $(am__remove_distdir)
  205. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  206. chmod -R a-w $(distdir); chmod a+w $(distdir)
  207. mkdir $(distdir)/=build
  208. mkdir $(distdir)/=inst
  209. chmod a-w $(distdir)
  210. dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  211. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  212. && $(mkinstalldirs) $$dc_destdir \
  213. && cd $(distdir)/=build \
  214. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  215. $(DISTCHECK_CONFIGURE_FLAGS) \
  216. && $(MAKE) $(AM_MAKEFLAGS) \
  217. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  218. && $(MAKE) $(AM_MAKEFLAGS) check \
  219. && $(MAKE) $(AM_MAKEFLAGS) install \
  220. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  221. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  222. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  223. distuninstallcheck \
  224. && chmod -R a-w "$$dc_install_base" \
  225. && ({ $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  226. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  227. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  228. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  229. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  230. && rm -rf "$$dc_destdir" \
  231. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  232. && rm -f $(distdir).tar.gz \
  233. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  234. $(am__remove_distdir)
  235. @echo "$(distdir).tar.gz is ready for distribution" | \
  236. sed 'h;s/./=/g;p;x;p;x'
  237. distuninstallcheck:
  238. cd $(distuninstallcheck_dir) \
  239. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  240. || { echo "ERROR: files left after uninstall:" ; \
  241. if test -n "$(DESTDIR)"; then \
  242. echo " (check DESTDIR support)"; \
  243. fi ; \
  244. $(distuninstallcheck_listfiles) ; \
  245. exit 1; } >&2
  246. distcleancheck: distclean
  247. if test '$(srcdir)' = . ; then \
  248. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  249. exit 1 ; \
  250. fi
  251. test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  252. || { echo "ERROR: files left in build directory after distclean:" ; \
  253. $(distcleancheck_listfiles) ; \
  254. exit 1; } >&2
  255. check-am: all-am
  256. check: check-am
  257. all-am: Makefile $(SCRIPTS)
  258. installdirs:
  259. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  260. install: install-am
  261. install-exec: install-exec-am
  262. install-data: install-data-am
  263. uninstall: uninstall-am
  264. install-am: all-am
  265. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  266. installcheck: installcheck-am
  267. install-strip:
  268. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  269. INSTALL_STRIP_FLAG=-s \
  270. `test -z '$(STRIP)' || \
  271. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  272. mostlyclean-generic:
  273. clean-generic:
  274. distclean-generic:
  275. -rm -f Makefile $(CONFIG_CLEAN_FILES)
  276. maintainer-clean-generic:
  277. @echo "This command is intended for maintainers to use"
  278. @echo "it deletes files that may require special tools to rebuild."
  279. clean: clean-am
  280. clean-am: clean-generic mostlyclean-am
  281. distclean: distclean-am
  282. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  283. distclean-am: clean-am distclean-generic
  284. dvi: dvi-am
  285. dvi-am:
  286. info: info-am
  287. info-am:
  288. install-data-am:
  289. install-exec-am: install-pkglibSCRIPTS
  290. install-info: install-info-am
  291. install-man:
  292. installcheck-am:
  293. maintainer-clean: maintainer-clean-am
  294. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  295. -rm -rf autom4te.cache
  296. maintainer-clean-am: distclean-am maintainer-clean-generic
  297. mostlyclean: mostlyclean-am
  298. mostlyclean-am: mostlyclean-generic
  299. pdf: pdf-am
  300. pdf-am:
  301. ps: ps-am
  302. ps-am:
  303. uninstall-am: uninstall-info-am uninstall-pkglibSCRIPTS
  304. .PHONY: all all-am check check-am clean clean-generic dist dist-all \
  305. dist-gzip distcheck distclean distclean-generic distcleancheck \
  306. distdir distuninstallcheck dvi dvi-am info info-am install \
  307. install-am install-data install-data-am install-exec \
  308. install-exec-am install-info install-info-am install-man \
  309. install-pkglibSCRIPTS install-strip installcheck \
  310. installcheck-am installdirs maintainer-clean \
  311. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  312. pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
  313. uninstall-pkglibSCRIPTS
  314. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  315. # Otherwise a system limit (for SysV at least) may be exceeded.
  316. .NOEXPORT: